Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.domain.entity.descriptor
Class EntityDescriptor

    java.lang.Object
      org.optaplanner.core.impl.domain.entity.descriptor.EntityDescriptor

    public class EntityDescriptor

extends Object

Constructor Summary
`EntityDescriptor(SolutionDescriptor solutionDescriptor, Class<?> entityClass)`

Method Summary
`void` | `addDeclaredVariableListenersToMap(Map<GenuineVariableDescriptor,List<VariableListener>> variableListenerMap)`
`int` | `countUninitializedVariables(Object entity)`
`List<Object>` | `extractEntities(Solution solution)`
`Collection<VariableDescriptor>` | `getDeclaredVariableDescriptors()`
`SelectionSorter` | `getDecreasingDifficultySorter()`
`Class<?>` | `getEntityClass()`
`GenuineVariableDescriptor` | `getGenuineVariableDescriptor(String variableName)`
`Map<String,GenuineVariableDescriptor>` | `getGenuineVariableDescriptorMap()`
`Collection<GenuineVariableDescriptor>` | `getGenuineVariableDescriptors()`
`Collection<String>` | `getGenuineVariableNameSet()`
`SelectionFilter` | `getMovableEntitySelectionFilter()`
`long` | `getProblemScale(Solution solution, Object entity)`
`ShadowVariableDescriptor` | `getShadowVariableDescriptor(String variableName)`
`Map<String,ShadowVariableDescriptor>` | `getShadowVariableDescriptorMap()`
`SolutionDescriptor` | `getSolutionDescriptor()`
`VariableDescriptor` | `getVariableDescriptor(String variableName)`
`boolean` | `hasAnyDeclaredGenuineVariableDescriptor()`
`boolean` | `hasGenuineVariableDescriptor(String variableName)`
`boolean` | `hasMovableEntitySelectionFilter()`
`boolean` | `hasProperty(String propertyName)`
`boolean` | `hasShadowVariableDescriptor(String variableName)`
`boolean` | `isInitialized(Object entity)`
`void` | `linkInheritedEntityDescriptors(DescriptorPolicy descriptorPolicy)`
`void` | `linkShadowSources(DescriptorPolicy descriptorPolicy)`
`boolean` | `matchesEntity(Object entity)`
`void` | `processAnnotations(DescriptorPolicy descriptorPolicy)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityDescriptor

    public EntityDescriptor(SolutionDescriptor solutionDescriptor,
                            Class<?> entityClass)

Method Detail

### processAnnotations

    public void processAnnotations(DescriptorPolicy descriptorPolicy)

### linkInheritedEntityDescriptors

    public void linkInheritedEntityDescriptors(DescriptorPolicy descriptorPolicy)

### linkShadowSources

    public void linkShadowSources(DescriptorPolicy descriptorPolicy)

### getSolutionDescriptor

    public SolutionDescriptor getSolutionDescriptor()

### getEntityClass

    public Class<?> getEntityClass()

### matchesEntity

    public boolean matchesEntity(Object entity)

### hasMovableEntitySelectionFilter

    public boolean hasMovableEntitySelectionFilter()

### getMovableEntitySelectionFilter

    public SelectionFilter getMovableEntitySelectionFilter()

### getDecreasingDifficultySorter

    public SelectionSorter getDecreasingDifficultySorter()

### hasProperty

    public boolean hasProperty(String propertyName)

### hasAnyDeclaredGenuineVariableDescriptor

    public boolean hasAnyDeclaredGenuineVariableDescriptor()

### getGenuineVariableNameSet

    public Collection<String> getGenuineVariableNameSet()

### getGenuineVariableDescriptorMap

    public Map<String,GenuineVariableDescriptor> getGenuineVariableDescriptorMap()

### getShadowVariableDescriptorMap

    public Map<String,ShadowVariableDescriptor> getShadowVariableDescriptorMap()

### getGenuineVariableDescriptors

    public Collection<GenuineVariableDescriptor> getGenuineVariableDescriptors()

### hasGenuineVariableDescriptor

    public boolean hasGenuineVariableDescriptor(String variableName)

### getGenuineVariableDescriptor

    public GenuineVariableDescriptor getGenuineVariableDescriptor(String variableName)

### hasShadowVariableDescriptor

    public boolean hasShadowVariableDescriptor(String variableName)

### getShadowVariableDescriptor

    public ShadowVariableDescriptor getShadowVariableDescriptor(String variableName)

### addDeclaredVariableListenersToMap

    public void addDeclaredVariableListenersToMap(Map<GenuineVariableDescriptor,List<VariableListener>> variableListenerMap)

### getDeclaredVariableDescriptors

    public Collection<VariableDescriptor> getDeclaredVariableDescriptors()

### getVariableDescriptor

    public VariableDescriptor getVariableDescriptor(String variableName)

### extractEntities

    public List<Object> extractEntities(Solution solution)

### getProblemScale

    public long getProblemScale(Solution solution,
                                Object entity)

### countUninitializedVariables

    public int countUninitializedVariables(Object entity)

### isInitialized

    public boolean isInitialized(Object entity)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.